package polling_station_dashboard.search.addVoter;

import javafx.fxml.FXML;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.util.HashMap;

/**
 * Created by Vladimir Eliezer Tokarev on 11/06/2016.
 * This object controls the add voter panel behavior
 */
public class AddVoterController {

    private Stage currentStage;


    public void SetStage(Stage primaryStage)
    {
        this.currentStage = primaryStage;
    }

    @FXML
    private void RemoveAddVoterPanel()
    {
        // when this button pressed (the cancel button) only the add voter panel is in list of children of AddEditPane
        // this why removing the element at index 0 will remove this panel
        System.out.println(((Pane)this.currentStage.getScene().lookup("#AddEditPane")).getChildren());
        ((Pane)this.currentStage.getScene().lookup("#AddEditPane")).getChildren().remove(0);
    }
}
