package polling_station_dashboard.search.advancedSearch;

import javafx.fxml.FXML;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Created by dasha on 7/9/2016.
 * AdvancedSearchController controls the behavior of the adnvaced search panel
 * for example searching by tag type
 */
public class AdvancedSearchController {

    private Stage currentStage;

    private BorderPane regularSearch;

    public void SetStage(Stage stage){
        this.currentStage = stage;
    }

    public void SetRegularSearch(BorderPane regularSearch) { this.regularSearch = regularSearch; }

    @FXML
    private void RemoveAdvancedSearch(){
        // the only object in this container by now is the advanced search
        Pane searchContainer = (Pane) this.currentStage.getScene().lookup("#SearchContainer");
        searchContainer.getChildren().remove(0);

        // after removed the advanced search we need to return the regular one
        searchContainer.getChildren().add(this.regularSearch);
    }
}
