package set_up_complete;

import javafx.fxml.FXML;
import javafx.stage.Stage;
import polling_station_dashboard.PollingStationDashboardLoader;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 28/05/2016.
 * SetUpCompleteController controls the behavior (buttons clicks mouse drags etc'...)
 */
public class SetUpCompleteController {

    private Stage currentStage;

    public void SetStage(Stage primaryStage)
    {
        this.currentStage = primaryStage;
    }

    @FXML
    private void GoToPollingStationDashboard() throws IOException {
        new PollingStationDashboardLoader(this.currentStage);
    }
}
