package set_up_complete;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 28/05/2016.
 * SetUpCompleteLoader represent the end state of subscription to bulletin board
 */
public class SetUpCompleteLoader {
    private static final String SET_UP_COMPLETE_FXML_PATH = "/view/setup/set_up_complete.fxml";

    private Stage currentStage;

    public SetUpCompleteLoader (Stage primaryStage) throws IOException
    {
        currentStage = primaryStage;
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource(SET_UP_COMPLETE_FXML_PATH));
        Parent root = fxmlLoader.load();
        SetUpCompleteController controller = fxmlLoader.getController();

        currentStage.setTitle("Set Up Complete");
        currentStage.setScene(new Scene(root, 560, 310));
        currentStage.show();

        controller.SetStage(currentStage);
    }
}
